#!/bin/sh
#
# Install Script for Xlack for DaRkNeSs
# Thanks to THraSH for the proportionate aid
# Thanks to bas, for translation to english

xC1='\e[0;37m'
xC2='\e[1;32m'
xC3='\e[1;31m'
NC='\e[0m'      
xchat_dir=$HOME/.xchat2

install() {

echo -e " ${xC2}*$NC Verifing ${xC1}[$NC $xchat_dir ${xC1}]$NC directory... "
if [ ! -d $xchat_dir ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Sorry, ${xC1}[$NC $xchat_dir ${xC1}]$NC coudn't be found!"
        exit 1;
fi

echo -e " ${xC1}									[${xC2} OK${xC1} ]"

echo -e " ${xC2}*$NC Verifing Xlack Script... "
if [ ! -f xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Sorry, the necessary files coudn't be found in the current directory,"
        echo -e " $NC  put this script into the directory containing the archives of Xlack and execute it again... "
        echo -e " $NC  ERROR... Xlack Script was not installed. :( "
        exit 2;
fi

if [ -f $xchat_dir/xlack*.pl ]; then
        echo -e " ${xC2}*$NC Found old version, removing..."
        rm -fr $xchat_dir/xlack*
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
fi 
	cp xlack*.pl $xchat_dir
        cp xlack.conf $xchat_dir
        cp -R xlack $xchat_dir
	echo -e " ${xC2}*$NC Installing..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
	echo -e " ${xC2}*$NC Xlack Script was installed into the ${xC1}[$NC $xchat_dir ${xC1}] directory"
	echo -e " ${xC2}*$NC Script installed correctly, thanks for using Xlack."
        echo "                - DaRkNeSs 2003/2005 -              "
        exit 3;
}

uninstall() {
echo -e " ${xC2}*$NC Verifing ${xC1}[$NC $xchat_dir ${xC1}]$NC directory... "
if [ ! -d $xchat_dir ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  Sorry, ${xC1}[$NC $xchat_dir ${xC1}]$NC couldn't be found!"
        exit 1;
fi

if [ ! -f $xchat_dir/xlack*.pl ]; then
echo -e " ${xC1}									[${xC3} !!${xC1} ]"
        echo -e " $NC  ======================================================= "
        echo -e " $NC  No Xlack installation was found in the specified directory !"
        exit 2;
fi

if [ -f $xchat_dir/xlack*.pl ]; then
        echo -e " ${xC2}*$NC Removing Xlack..."
echo -e " ${xC1}									[${xC2} OK${xC1} ]"
        rm -fr $xchat_dir/xlack*
        echo -e " $NC  Done."
        echo -e " $NC  Sorry that you didn't find the script useful, but thanks for trying it :)"
        exit 3;
fi
}

bye () {
echo -e " ${xC2}*$NC Perhaps on another occasion. Goodbye :)"
	exit 1; 
}

nofound () {
echo -e " ${xC2}*$NC Invalid Option, type: [I/i/D/d/S/s]."
	exit 1; 
}

echo -e " ${xC2}*$NC Welcome to the Xlack v.2.1 Install Script"
echo -e " $NC  What do you want it to do?, [I]nstall, [U]ninstall or [Q]uit:"
echo -e "\n"
echo -e " $NC  - [I]nstall   : Install the new version of Xlack script and/or update,"
echo -e " $NC                  an existing (older) installation."
echo -e " $NC  - [U]ninstall : Remove Xlack."
echo -e " $NC  - [Q]uit      : Quit without taking action."
echo -e "\n"
	read OPT
	case $OPT in
i) install;;
I) install;;
u) uninstall;;
U) uninstall;;
Q) bye;;
q) bye;;
*) nofound;;
esac
